Gets the content structure from the content with the provided content reference or unique identifier.
1 min
GET
/api/episerver/v3.0/contentstructure/{root}
Path Parameters
- rootstringrequiredDescription
Query Parameters
- includestringDescription
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/problem+json
- Accept-LanguagestringDescription
Responses
200
- contentStructureNode3
- contentLinkcontentReferenceDescription
- idinteger<int32>DescriptionFormatint32
- workIdinteger<int32>DescriptionFormatint32
- guidValuestring<uuid>DescriptionFormatuuid
- providerNamestringDescription
- urlstringDescription
- languageobject
- language3
- displayNamestringDescription
- namestringrequiredDescription
- namestringDescription
- languagelanguage3Description
- displayNamestringDescription
- namestringrequiredDescription
- existingLanguageslanguage3[]Description
- displayNamestringDescription
- namestringrequiredDescription
- hasChildrenbooleanDescription
- childrencontentStructureNode3[]Description
- Circular-Reference
400
403
404
curl
curl --request GET \
--url /api/episerver/v3.0/contentstructure/{root} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("/api/episerver/v3.0/contentstructure/{root}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/api/episerver/v3.0/contentstructure/{root}")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/api/episerver/v3.0/contentstructure/{root}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Success
{
"contentLink": {
"id": "",
"workId": "",
"guidValue": "",
"providerName": "",
"url": "",
"language": {}
},
"name": "",
"language": {
"displayName": "",
"name": ""
},
"existingLanguages": [
{
"displayName": "",
"name": ""
}
],
"hasChildren": false,
"children": [
{
"": ""
}
]
}400
// Bad Request
403
// Forbidden
404
// Not Found